javax.swing.plaf.basic

## Class BasicScrollPaneUI.ViewportChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicScrollPaneUI.ViewportChangeHandler

- All Implemented Interfaces:
    EventListener, ChangeListener
  Enclosing class:
    BasicScrollPaneUI

      public class BasicScrollPaneUI.ViewportChangeHandler
      extends Object
      implements ChangeListener

  Listener for viewport events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicScrollPaneUI.ViewportChangeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicScrollPaneUI.ViewportChangeHandler

          public BasicScrollPaneUI.ViewportChangeHandler()

  - ### Method Detail

    - #### stateChanged

          public void stateChanged(ChangeEvent e)

      Description copied from interface: `ChangeListener`
      Invoked when the target of the listener has changed its state.
      Specified by:
        `stateChanged` in interface `ChangeListener`
      Parameters:
        `e` - a ChangeEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.